Quattro9SpreadsheetInternal::CellData Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
Quattro9SpreadsheetInternal::CellData Struct Reference

a class used to store the cell(s) content of a Quattro Spreadsheet More...

## Public Member Functions
| CellData ()
| constructor
bool | empty () const
| returns true if the cell contains no data (and is not a merged cell)
double | getDouble (int row) const
| returns the double value corresponding to a row
int | getFlag (int row) const
| returns the flag value corresponding to a row
int | getInt (int row) const
| returns the int value corresponding to a row

## Public Attributes
int | m_type
| the cell type
Vec2i | m_rows
| the min/max row
Vec2i | m_span
| the column row/span
int | m_style
| the style id
std::vector< int > | m_intList
| the list of int values
std::vector< double > | m_doubleList
| the list of double values
std::vector< int > | m_flagList
| a list of flag (for formula)

## Detailed Description

a class used to store the cell(s) content of a Quattro Spreadsheet

## Constructor & Destructor Documentation

## ◆ CellData()

Quattro9SpreadsheetInternal::CellData::CellData | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ empty()

bool Quattro9SpreadsheetInternal::CellData::empty | ( |  | ) | const
| inline

returns true if the cell contains no data (and is not a merged cell)

Referenced by Quattro9SpreadsheetInternal::Spreadsheet::getListCellsInARow().

## ◆ getDouble()

double Quattro9SpreadsheetInternal::CellData::getDouble | ( | int | row | ) | const
| inline

returns the double value corresponding to a row

Referenced by Quattro9Spreadsheet::sendCellContent().

## ◆ getFlag()

int Quattro9SpreadsheetInternal::CellData::getFlag | ( | int | row | ) | const
| inline

returns the flag value corresponding to a row

## ◆ getInt()

int Quattro9SpreadsheetInternal::CellData::getInt | ( | int | row | ) | const
| inline

returns the int value corresponding to a row

Referenced by Quattro9Spreadsheet::sendCellContent().

## Member Data Documentation

## ◆ m_doubleList

std::vector<double> Quattro9SpreadsheetInternal::CellData::m_doubleList

the list of double values

Referenced by CellData(), getDouble(), and Quattro9Spreadsheet::readCellList().

## ◆ m_flagList

std::vector<int> Quattro9SpreadsheetInternal::CellData::m_flagList

a list of flag (for formula)

Referenced by CellData(), getFlag(), and Quattro9Spreadsheet::readCellList().

## ◆ m_intList

std::vector<int> Quattro9SpreadsheetInternal::CellData::m_intList

the list of int values

Referenced by CellData(), getInt(), and Quattro9Spreadsheet::readCellList().

## ◆ m_rows

Vec2i Quattro9SpreadsheetInternal::CellData::m_rows

the min/max row

Referenced by CellData(), getDouble(), getFlag(), getInt(), Quattro9Spreadsheet::readCellList(), and Quattro9SpreadsheetInternal::Spreadsheet::update().

## ◆ m_span

Vec2i Quattro9SpreadsheetInternal::CellData::m_span

the column row/span

Referenced by CellData(), empty(), Quattro9Spreadsheet::sendCellContent(), and Quattro9SpreadsheetInternal::Spreadsheet::update().

## ◆ m_style

int Quattro9SpreadsheetInternal::CellData::m_style

the style id

Referenced by CellData(), Quattro9SpreadsheetInternal::Spreadsheet::getListCellsInARow(), Quattro9Spreadsheet::readCellList(), and Quattro9Spreadsheet::sendCellContent().

## ◆ m_type

int Quattro9SpreadsheetInternal::CellData::m_type

the cell type

Referenced by CellData(), empty(), getDouble(), getFlag(), getInt(), Quattro9Spreadsheet::readCellList(), Quattro9Spreadsheet::sendCellContent(), and Quattro9SpreadsheetInternal::Spreadsheet::update().

The documentation for this struct was generated from the following file:

- Quattro9Spreadsheet.cpp